package nfs_test

import (
	"git.noahlan.cn/noahlan/ntool/nfs"
	"git.noahlan.cn/noahlan/ntool/ntest/assert"
	"testing"
)

func TestExpandPath(t *testing.T) {
	path := "~/.kite"

	assert.NotEq(t, path, nfs.Expand(path))
	assert.NotEq(t, path, nfs.ExpandPath(path))
	assert.NotEq(t, path, nfs.ResolvePath(path))

	assert.Eq(t, "", nfs.Expand(""))
	assert.Eq(t, "/path/to", nfs.Expand("/path/to"))
}
